No YAML Error found abinit-9.2.2  [SOLVED]

option, parallelism,...

Moderators: jbeuken, Jordan, pouillon

Forum rules
Please have a look at ~abinit/doc/config/build-config.ac in the source package for detailed and up-to-date information about the configuration of Abinit 8 builds.
For a video explanation on how to build Abinit 7.x for Linux, please go to: http://www.youtube.com/watch?v=DppLQ-KQA68.
IMPORTANT: when an answer solves your problem, please check the little green V-like button on its upper-right corner to accept it.
Post Reply
nsingh3
Posts: 10
Joined: Wed Dec 02, 2020 4:12 am

No YAML Error found abinit-9.2.2  [SOLVED]

Post by nsingh3 » Thu Dec 03, 2020 5:04 pm

Dear developers,
I compiled the latest version of abinit-9.2.2 using the following configure file.


# installation location
prefix=/home/nsingh3/.local

CC='mpicc'
CXX="mpiCC"
FC="mpif90"

# MPI settings
with_mpi="yes"
enable_mpi_io="yes"

# linear algebra settings
with_linalg_flavor="openblas"
LINALG_LIBS="-L/usr/lib64 -lopenblas"

# mandatory libraries
with_hdf5="yes"
with_netcdf="yes"
with_netcdf_fortran="yes"
with_libxc="yes"

# FFT flavor
with_fft_flavor="fftw3"
FFTW3_LIBS="-L/usr/lib64 -lfftw3 -lfftw3f"

with_libxml2="yes"
LIBXML2_LIBS="-L/usr/include/libxml2/libxml/ -lxmlf90"

with_libyaml="yes"
LIBYAML_LIBS="/sw/arch/RedHatEnterpriseServer7/EB_production/2020/software/libyaml/0.2.2-GCCcore-9.3.0/lib/libyaml.a"

with_libpsml="yes"
LIBPSML_LIBS="/home/nsingh3/.local/lib/libpsml.a"

with_xmlf90="yes"
XMLF90_FCFLAGS="-I/home/nsingh3/.local/include"
XMLF90_LIBS="-L/home/nsingh3/.local/lib/ -lxmlf90"

# Enable Netcdf mode in Abinit (use netcdf as default I/O library)
enable_netcdf_default="yes"

enable_openmp="yes"

It sucessfully made the abinit executable but when do tests then I get the following error.

Command /lustre1/0/einf581/abinit-9.2.2/build/src/98_main/abinit < /lustre1/0/einf581/abinit-9.2.2/build/tests/Test_suite/v1_t01/t01.stdin > /lustre1/0/einf581/abinit-9.2.2/build/tests/Test_suite/v1_t01/t01.stdout 2> /lustre1/0/einf581/abinit-9.2.2/build/tests/Test_suite/v1_t01/t01.stderr
returned exit_code: 34

[v1][t01][np=1][run_etime: 1.59 s]: fldiff fatal error:
file 1 has more significant lines than file 2 (435 > 0).
[file=t01.out]
[v1][t01][np=1] Test was not expected to fail but subprocesses returned retcode: 34
[int2:18891] *** An error occurred in MPI_Info_dup
[int2:18891] *** reported by process [3692756993,0]
[int2:18891] *** on communicator MPI_COMM_WORLD
[int2:18891] *** MPI_ERR_INFO: invalid info object
[int2:18891] *** MPI_ERRORS_ARE_FATAL (processes in this communicator will now abort,
[int2:18891] *** and potentially your MPI job)

No YAML Error found in: [v1][t01][np=1]

Suite failed passed succeeded skipped disabled run_etime tot_etime
v1 1 0 0 0 0 1.59 1.64

Completed in 1.81 [s]. Average time for test=1.59 [s], stdev=0.00 [s]
Summary: failed=1, succeeded=0, passed=0, skipped=0, disabled=0

Execution completed.

I am attaching the config.log file.
I have tried to link libyaml both dynamically and statistically. But gives the same error.
Any help would be appreciated.
Attachments
config.log
(380.06 KiB) Downloaded 35 times

User avatar
jbeuken
Posts: 364
Joined: Tue Aug 18, 2009 9:24 pm
Contact:

Re: No YAML Error found abinit-9.2.2

Post by jbeuken » Fri Dec 04, 2020 10:05 am

Hi,

This is not a YAML issue.

The code aborts when we try to create a netcdf4 file with MPI-IO support so I believe the problem is not in the MPI library but in the hdf5/netcdf4/netcdf-fortran software stack (that depends on MPI).

Perhaps one of these libraries has been compiled using different mpicc/mpif90 wrappers or with non-portable compilation options (note that MPI_INFO is implementation-dependent and this should explain the weird message “invalid info object”)

To test this explanation, you can recompile Abinit with the internal fallbacks for hdf5/netcdf4/netcdf4-fortran...

regards
------
Jean-Michel Beuken
Computer Scientist

nsingh3
Posts: 10
Joined: Wed Dec 02, 2020 4:12 am

Re: No YAML Error found abinit-9.2.2

Post by nsingh3 » Sun Dec 06, 2020 9:02 am

Hi,

Thanks for the reply. I wanted to use all the libraries compiled on the cluster and I guess they were compiled correctly. However I have contacted them to look into the matter as to why I was getting that error. Meanwhile as you suggested I tried to build the fallbacks but that also resulted in the following errors. Just to be sure I had to do the following :

1) cd /build/fallbacks/ (build is directory which had config.ac file and it made the fallbacks directory)
2) ./build-abinit-fallbacks.sh

../../src/H5Z.c:108: error: undefined reference to 'SZ_encoder_enabled'
../../src/H5Zszip.c:321: error: undefined reference to 'SZ_BufftoBuffDecompress'
../../src/H5Zszip.c:348: error: undefined reference to 'SZ_BufftoBuffCompress'
collect2: error: ld returned 1 exit status
make[4]: *** [stab] Error 1
make[4]: *** Waiting for unfinished jobs....
../../src/H5Z.c:108: error: undefined reference to 'SZ_encoder_enabled'
../../src/H5Zszip.c:321: error: undefined reference to 'SZ_BufftoBuffDecompress'
../../src/H5Zszip.c:348: error: undefined reference to 'SZ_BufftoBuffCompress'
../../src/H5Z.c:108: error: undefined reference to 'SZ_encoder_enabled'
../../src/H5Zszip.c:321: error: undefined reference to 'SZ_BufftoBuffDecompress'
../../src/H5Zszip.c:348: error: undefined reference to 'SZ_BufftoBuffCompress'
collect2: error: ld returned 1 exit status
collect2: error: ld returned 1 exit status
../../src/H5Z.c:108: error: undefined reference to 'SZ_encoder_enabled'
../../src/H5Zszip.c:321: error: undefined reference to 'SZ_BufftoBuffDecompress'
../../src/H5Zszip.c:348: error: undefined reference to 'SZ_BufftoBuffCompress'
collect2: error: ld returned 1 exit status
../../src/H5Z.c:108: error: undefined reference to 'SZ_encoder_enabled'
../../src/H5Zszip.c:321: error: undefined reference to 'SZ_BufftoBuffDecompress'
../../src/H5Zszip.c:348: error: undefined reference to 'SZ_BufftoBuffCompress'
collect2: error: ld returned 1 exit status
../../src/H5Z.c:108: error: undefined reference to 'SZ_encoder_enabled'
../../src/H5Zszip.c:321: error: undefined reference to 'SZ_BufftoBuffDecompress'
../../src/H5Zszip.c:348: error: undefined reference to 'SZ_BufftoBuffCompress'
collect2: error: ld returned 1 exit status
../../src/H5Z.c:108: error: undefined reference to 'SZ_encoder_enabled'
../../src/H5Zszip.c:321: error: undefined reference to 'SZ_BufftoBuffDecompress'
../../src/H5Zszip.c:348: error: undefined reference to 'SZ_BufftoBuffCompress'
collect2: error: ld returned 1 exit status
make[4]: *** [cache_tagging] Error 1
make[4]: *** [lheap] Error 1
make[4]: *** [ohdr] Error 1
make[4]: *** [cache] Error 1
make[4]: *** [cache_image] Error 1
make[4]: *** [cache_api] Error 1
../../src/H5Z.c:108: error: undefined reference to 'SZ_encoder_enabled'
../../src/H5Zszip.c:321: error: undefined reference to 'SZ_BufftoBuffDecompress'
../../src/H5Zszip.c:348: error: undefined reference to 'SZ_BufftoBuffCompress'
collect2: error: ld returned 1 exit status
make[4]: *** [testhdf5] Error 1
make[4]: Leaving directory `/lustre1/0/einf581/abinit-9.2.2/build/fallbacks/abinit-fallbacks-9.2/sources/hdf5-1.10.6/tmp-build/test'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/lustre1/0/einf581/abinit-9.2.2/build/fallbacks/abinit-fallbacks-9.2/sources/hdf5-1.10.6/tmp-build'
make[2]: *** [stamps/hdf5-build-stamp] Error 2
make[2]: Leaving directory `/lustre1/0/einf581/abinit-9.2.2/build/fallbacks/abinit-fallbacks-9.2'
make[1]: [all-local] Error 2 (ignored)
Checking build of hdf5 fallback
test -e stamps/hdf5-install-stamp
make[1]: *** [all-local] Error 1
make[1]: Leaving directory `/lustre1/0/einf581/abinit-9.2.2/build/fallbacks/abinit-fallbacks-9.2'
make: *** [install-recursive] Error 1
We have detected a problem while generating fallbacks : contact Abinit's team

User avatar
admin
Site Admin
Posts: 33
Joined: Thu Sep 17, 2009 9:49 am

Re: No YAML Error found abinit-9.2.2

Post by admin » Tue Dec 08, 2020 10:18 am

Hi,

I see in the config.log that the OS is RedHatEnterpriseServer7

you need to install the following libraries :

Code: Select all

libaec-devel
libaec

rpm -ql libaec-devel
/usr/include/libaec.h
/usr/include/szlib.h
/usr/lib64/libaec.so
/usr/lib64/libsz.so

nm -D /usr/lib64/libsz.so | grep SZ_encoder_enabled
0000000000001040 T SZ_encoder_enabled
jmb

nsingh3
Posts: 10
Joined: Wed Dec 02, 2020 4:12 am

Re: No YAML Error found abinit-9.2.2

Post by nsingh3 » Mon Dec 14, 2020 4:30 pm

Hi,

First of all sorry for late reply as I was waiting for the cluster people to install libaec for me.
After the installation I did make clean and compiled the code again with the above config.ac file but the same error appears while running tests.
Can you guide me about where I am doing wrong in the installation process.

Regards,
Nisha

nsingh3
Posts: 10
Joined: Wed Dec 02, 2020 4:12 am

Re: No YAML Error found abinit-9.2.2

Post by nsingh3 » Sun Dec 27, 2020 2:30 pm

Hello,

I was able to install abinit with fallbacks finally and now I can do the calculations.
Thanks.

-Nisha

Post Reply